Get a published public post by slug.
curl --request GET \
--url https://api.nebyoulous.space/public/posts/{slug}const options = {method: 'GET'};
fetch('https://api.nebyoulous.space/public/posts/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/public/posts/{slug}"
response = requests.get(url)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"postIntegrationLinks": [
{
"integrationSet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
}
]
}{
"code": "<string>",
"message": "<string>"
}Public posts
Get a published public post by slug.
GET
/
public
/
posts
/
{slug}
Get a published public post by slug.
curl --request GET \
--url https://api.nebyoulous.space/public/posts/{slug}const options = {method: 'GET'};
fetch('https://api.nebyoulous.space/public/posts/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/public/posts/{slug}"
response = requests.get(url)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"postIntegrationLinks": [
{
"integrationSet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
}
]
}{
"code": "<string>",
"message": "<string>"
}Path Parameters
Minimum string length:
1Response
Default Response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
DRAFT, PUBLISHED Available options:
GALAXY, NEBULA, STAR_CLUSTER, PLANETARY_NEBULA, OTHER Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes